explain_strdup_or_die(3)

NAME
explain_strdup_or_die - duplicate a string and report errors
    "duplicate a string and report errors"

SYNOPSIS
#include <libexplain/strdup.h>

char *explain_strdup_or_die(const char *data);
char *explain_strdup_on_error(const char *data);

DESCRIPTION
The explain_strdup_or_die function is used to call the strdup(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_strdup(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_strdup_on_error function is used to call the strdup(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_strdup(3) function, but still returns to the caller.

data
    The data, exactly as to be passed to the strdup(3) system call.

RETURN VALUE
The explain_strdup_or_die function only returns on success, see strdup(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_strdup_on_error function always returns the value return by the wrapped strdup(3) system call.

EXAMPLE
The explain_strdup_or_die function is intended to be used in a fashion similar to the following example:
    char *result = explain_strdup_or_die(data);

SEE ALSO

strdup(3)
    duplicate a string

explain_strdup(3)
    explain strdup(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2009 Peter Miller